#pragma once
#include "CS_Fish.h"
#include "CS_PeDizzy.h"
#define CS_ENEMY_AROWANA_CREATENAME L"CS_enemy_arowana"
//敌人：龙鱼
class CS_Enemy_Arowana :
    public CS_Fish
{
public:
    CS_Enemy_Arowana();
    void Init(std::weak_ptr<Entity> self) override;
    void SetState(int stateID, int lr) override;
    void Step() override;
    void HurtAnimate() override;
    void AnimateSpeedStep() override;
    void SwimStep() override;
    void Destroy() override;
    void EndCaught(std::weak_ptr<Entity> e) override;//被某单位抓取结束(退出被抓取状态）
    int swimModeChangeCounter = 0;//游泳模式改变计时器
    std::weak_ptr<CS_PeDizzy> peDizzy;
    bool bShowDizzy = false;
    bool bShowSilkRibbon = false;
    int face = 0;
    void AnimateStep();//动画
};

std::shared_ptr<Entity> CreateCS_Enemy_Arowana();